net.sourceforge.pmd.ast

## Class ASTBooleanLiteralTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTBooleanLiteralTest

    public class ASTBooleanLiteralTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTBooleanLiteralTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testFalse()`
`void` `testTrue()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTBooleanLiteralTest

    public ASTBooleanLiteralTest()

### Method Detail

#### testTrue

    public void testTrue()
                  throws Throwable

Throws:
  `Throwable`

#### testFalse

    public void testFalse()
                   throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()